org.springframework.web.socket.config.annotation

## Class WebMvcStompWebSocketEndpointRegistration

- java.lang.Object
- - org.springframework.web.socket.config.annotation.WebMvcStompWebSocketEndpointRegistration

- All Implemented Interfaces:
    StompWebSocketEndpointRegistration

      public class WebMvcStompWebSocketEndpointRegistration
      extends Object
      implements StompWebSocketEndpointRegistration

  An abstract base class class for configuring STOMP over WebSocket/SockJS endpoints.
  Since:
    4.0
  Author:
    Rossen Stoyanchev

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebMvcStompWebSocketEndpointRegistration(String[] paths, WebSocketHandler webSocketHandler, TaskScheduler sockJsTaskScheduler)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiValueMap<HttpRequestHandler,String>` | `getMappings()`
    `StompWebSocketEndpointRegistration` | `setHandshakeHandler(HandshakeHandler handshakeHandler)` Provide a custom or pre-configured `HandshakeHandler`.
    `SockJsServiceRegistration` | `withSockJS()` Enable SockJS fallback options.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebMvcStompWebSocketEndpointRegistration

          public WebMvcStompWebSocketEndpointRegistration(String[] paths,
                                                          WebSocketHandler webSocketHandler,
                                                          TaskScheduler sockJsTaskScheduler)

  - ### Method Detail

    - #### setHandshakeHandler

          public StompWebSocketEndpointRegistration setHandshakeHandler(HandshakeHandler handshakeHandler)

      Provide a custom or pre-configured `HandshakeHandler`.
      Specified by:
        `setHandshakeHandler` in interface `StompWebSocketEndpointRegistration`

    - #### withSockJS

          public SockJsServiceRegistration withSockJS()

      Enable SockJS fallback options.
      Specified by:
        `withSockJS` in interface `StompWebSocketEndpointRegistration`

    - #### getMappings

          public final MultiValueMap<HttpRequestHandler,String> getMappings()